Construirea unui Kali personalizat live nu este la fel de înfricosatoare cum s-ar parea!  Instructiunile de mai jos au fost testate pentru a lucra cu atât Debian si Ubuntu.

În primul rând, ne pregatim sistemul prin asigurarea este pe deplin actualizat, apoi continuam  descarcarea keyring arhiva Kali si live construire pachete. Cele mai recente versiuni ale acestor pachete pot fi gasite întotdeauna la http://http.kali.org/pool/main/k/kali-archive-keyring/ si https://archive.kali.org/kali/pool/main/ l / live build / respectiv.

sudo apt update
sudo apt upgrade

wget http://http.kali.org/pool/main/k/kali-archive-keyring/kali-archive-keyring_2018.1_all.deb
wget https://archive.kali.org/kali/pool/main/l/live-build/live-build_20180618kali1_all.deb

Cu aceasta finalizat, vom instala unele dependente suplimentare si fisierele descarcate anterior.

sudo apt install git live-build cdebootstrap debootstrap curl
sudo dpkg -i kali-archive-keyring_2018.1_all.deb
sudo dpkg -i live-build_20180618kali1_all.deb

Cu mediul pregatit, vom începe procesul de constructie prin crearea si verificarea config.

cd /usr/share/debootstrap/scripts/
echo "default_mirror http://http.kali.org/kali"; sed -e "s/debian-archive-keyring.gpg/kali-archive-keyring.gpg/g" sid > /tmp/kali
sudo mv /tmp/kali .
sudo ln -s kali kali-rolling

cd ~
git clone git://git.kali.org/live-build-config.git

cd live-build-config

În acest moment, trebuie sa editati  script - ul  build.sh pentru a ocoli verificarea versiunii. Facem acest lucru prin comentarea „exit 1“ de mai jos.

# Check we have a good debootstrap
ver_debootstrap=$(dpkg-query -f '${Version}' -W debootstrap)
if dpkg --compare-versions "$ver_debootstrap" lt "1.0.97"; then
if ! echo "$ver_debootstrap" | grep -q kali; then
echo "ERROR: You need debootstrap >= 1.0.97 (or a Kali patched debootstrap). Your current version: $ver_debootstrap" >&2
exit 1
fi
fi

Cu aceasta schimbare facuta, script-ul ar trebui sa arate, dupa cum urmeaza:

# Check we have a good debootstrap
ver_debootstrap=$(dpkg-query -f '${Version}' -W debootstrap)
if dpkg --compare-versions "$ver_debootstrap" lt "1.0.97"; then
if ! echo "$ver_debootstrap" | grep -q kali; then
echo "ERROR: You need debootstrap >= 1.0.97 (or a Kali patched debootstrap). Your current version: $ver_debootstrap" >&2
# exit 1
fi
fi

Putem construi acum ISO nostru, ca de obicei:

sudo ./build.sh --variant light --verbose

Dupa ce obtineti  constructia Kali, ati putea dori sa testati rapid ISO creat.  Pe Ubuntu, trebuie doar sa te pregatesti sistemul prin instalarea câteva pachete:

sudo apt install qemu-kvm libvirt-bin ubuntu-vm-builder bridge-utils
sudo adduser `id -un` kvm
newgrp kvm

Vom crea o imagine de disc dinamica pentru a organiza instalarea noastra Kali si apoi vom porni sistemul de operare nostru nou creat ISO. 

qemu-img create -f qcow2 kali-disk.img 100G
kvm --name Kali -m 1024 -hda kali-disk.img -cdrom kali-linux-light-rolling-amd64.iso -boot d

În acest moment, puteti rula o instanta în direct a lui Kali 

kvm --name Kali -m 1024 -hda kali-disk.img -boot c

Aceasta a fost o modalitate de a construi Kali pe alte distributii bazate pe Debian si o modalitate rapida de a testa,  ce mai astepti?

Kali Linux - GNU/Linux.ro Cititi mai multe stiri/noutati despre Kali Linux aici ... Sursa: kali.org

Trimite-ne o stire
  • Care este reactia ta?
  • powered by Verysign
  • like GNU/Linux.ro
    Like
  • unmoved GNU/Linux.ro
    unmoved
  • amused GNU/Linux.ro
    amused
  • excited GNU/Linux.ro
    excited
  • angry GNU/Linux.ro
    angry
  • sad GNU/Linux.ro
    sad
TENDINTA  |  Manjaro-bspwm 20.0.1 Lysia Released
FlorinM                   GNU/Linux.ro
FlorinM
Utilizator Linux - Solus OS, pasionat de calatorii.
1523 articole



  • Comenteaza
  • powered by Verysign

Nici un comentariu inca. Fii primul!